API Reference
Events

Get Jai Alai event odds

Fetch Jai Alai event, match and set odds

Endpoint overview

Retrieve odds for a specific Jai Alai event.

Use case: show current Jai Alai prices next to event details in a focused wagering workflow.

Route

GET /api/v1/public/events/jaialai/{id}/odds

Parameters (Overview)

NameInTypeRequiredDescription
idpathstringYesJai Alai Event ID
GETHTTP Method

Fetch Jai Alai event, match and set odds

Parameters for Example Query

Edit path and query inputs below. These values auto-fill from the schema and immediately update the request URL and generated code examples.

Response Body

application/json

application/json

application/json

application/json

application/json

Updated recently

Language

Credentials

X-API-KEY

Try it runs a real request through this site's proxy (avoids CORS). Pasting your key updates the cURL tab and is sent on Try it.

URL

Base URL
https://api.altsportsdata.com
curl -X GET "https://api.altsportsdata.com/api/v1/public/events/jaialai/7fc93e49-63af-4c0a-ab76-1a09a2463eb1/odds"
Click Try it to send the active example request.
Response static example
{
  "eventWinner": {
    "groupId": 1,
    "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
    "moneyLine": {
      "marketId": 1,
      "status": "ACTIVE",
      "selection": "[]"
    }
  },
  "matchWinner": {
    "groupId": 1,
    "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
    "moneyLine": {
      "marketId": 1,
      "status": "ACTIVE",
      "selection": "[]"
    },
    "spread": [
      {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      }
    ],
    "total": [
      {
        "marketId": 22,
        "status": "ACTIVE",
        "selection": [
          {
            "probability": 42.75,
            "settlement": "LOSER",
            "odds": 2.34,
            "sets": 2.5,
            "homeLineup": "Stan/Manny",
            "awayLineup": "Correa/Ben",
            "type": "OVER",
            "outcomeId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0"
          }
        ]
      }
    ]
  },
  "sets": [
    {
      "id": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
      "groupId": 1,
      "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
      "name": "S1",
      "moneyLine": {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      },
      "spread": [
        {
          "marketId": 1,
          "status": "ACTIVE",
          "selection": "[]"
        }
      ],
      "total": [
        {
          "marketId": 22,
          "status": "ACTIVE",
          "selection": [
            {
              "probability": 42.75,
              "settlement": "LOSER",
              "odds": 2.34,
              "sets": 2.5,
              "homeLineup": "Stan/Manny",
              "awayLineup": "Correa/Ben",
              "type": "OVER",
              "outcomeId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0"
            }
          ]
        }
      ]
    }
  ],
  "futures": {
    "groupId": 1,
    "type": "WINNER",
    "moneyLine": [
      {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      }
    ]
  }
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}